﻿FROM mcr.microsoft.com/dotnet/aspnet:7.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:7.0 AS build
WORKDIR /src
COPY ["PresenceMonitor/PresenceMonitor.csproj", "PresenceMonitor/"]
RUN dotnet restore "PresenceMonitor/PresenceMonitor.csproj"
COPY . .
WORKDIR "/src/PresenceMonitor"
RUN dotnet build "PresenceMonitor.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "PresenceMonitor.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "PresenceMonitor.dll"]
